package com.logicbig.example;

import javax.ws.rs.client.Client;
import javax.ws.rs.client.ClientBuilder;
import javax.ws.rs.client.WebTarget;
import javax.ws.rs.core.MultivaluedMap;
import javax.ws.rs.core.Response;

public class MyClient {
    public static void main(String[] args) {
        MyClient.sendHeadRequest("test");
    }

    public static void sendHeadRequest(String uri) {
        Client client = ClientBuilder.newClient();
        WebTarget target = client.target("http://localhost:8080/app/" + uri);
        Response response = target.request()
                                  .head();
        MultivaluedMap<String, Object> headers = response.getHeaders();
        System.out.printf("headers: %s%n", headers);
        System.out.printf("status: %s%n", response.getStatus());
        System.out.printf("body: '%s'%n", response.readEntity(String.class));
    }
}